Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # iterator_from_2d.hpp File Reference ## Detailed Description pixel step iterator, pixel image iterator and pixel dereference iterator Author: Lubomir Bourdev and Hailin Jin Adobe Systems Incorporated Date: 2005-2007 Last updated on February 12, 2007 `#include <cassert>` `#include <boost/iterator/iterator_facade.hpp>` `#include "gil_concept.hpp"` `#include "gil_config.hpp"` `#include "pixel_iterator.hpp"` `#include "locator.hpp"` Go to the source code of this file.
## Namespaces
namespace | boost
namespace | boost::gil
## Classes
class | iterator_from_2d
| Provides 1D random-access navigation to the pixels of the image. Models: PixelIteratorConcept, PixelBasedConcept, HasDynamicXStepTypeConcept. More...